#
# spec file for package kid3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} > 1320 || 0%{?sle_version}
%bcond_without  build_qt5
%endif

%if ! ( 0%{?suse_version} == 1315 && ! 0%{?is_opensuse} )
%bcond_without  build_kde
%endif

Name:           kid3
Version:        3.4.2
Release:        1.3
Summary:        Efficient ID3 Tag Editor
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://kid3.sourceforge.net/
# WARNING: The source url is a moving target, leave it blank
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.asc
BuildRequires:  id3lib-devel
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(taglib) >= 1.4
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  readline-devel
BuildRequires:  docbook-xsl-stylesheets
Requires:       %{name}-core = %{version}
Requires:       xdg-utils
# kid3 and kid3-qt can exist together on a system but the user will have two packages with the same functionality.
Conflicts:      kid3-qt = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavresample)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libchromaprint)
%if %{with build_qt5}
%if %{with build_kde}
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KIO)
%endif
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
%else
BuildRequires:  libkde4-devel
BuildRequires:  libqt4-devel >= 4.7
%endif
%if 0%{?suse_version} > 1210
BuildRequires:  libxslt-tools
%endif
%if 0%{?suse_version} > 1310
BuildRequires:  pkgconfig(gstreamer-1.0)
%else
BuildRequires:  pkgconfig(gstreamer-0.10)
%endif
%if 0%{?suse_version}
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
%endif
%if 0%{?suse_version} > 1210
Requires:       libxslt-tools
%endif
%if %{without build_qt5}
%{kde4_runtime_requires}
%endif

%description
f you want to easily tag multiple MP3, Ogg/Vorbis, Opus, DSF, FLAC,
MPC, MP4/AAC, MP2, Opus, Speex, TrueAudio, WavPack and WMA files 
(e.g. full albums) without typing the same information again and
again and have control over both ID3v1 and ID3v2 tags,
then Kid3 is the program you are looking for.

With Kid3 you can:
- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, AIFF and WAV files
- Edit tags of multiple files, e.g. the artist, album, year and
  genre of all files of an album typically have the same values
  and can be set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Rename and create directories from tags
- Generate playlist files
- Automatically convert upper and lower case and replace strings
- Import from freedb2.org, MusicBrainz, Discogs, Amazon and other
  sources of album data
- Export tags as CSV, HTML, playlists, Kover XML and in other formats
- Edit synchronized lyrics and event timing codes,import and export LRC files

This package uses KDE libraries, if you do not use KDE you should use kid3-qt.
For a commandline interface you can use kid3-cli.

%package qt
Summary:        Efficient ID3 Tag Editor
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       %{name}-core = %{version}
Requires:       xdg-utils
# kid3 and kid3-qt can exist together on a system but the user will have two packages with the same functionality.
Conflicts:      kid3 = %{version}
Obsoletes:      kid3-qt < %{version}

%description qt
With Kid3 you can:
  - Edit ID3v1.1 tags
  - Edit all ID3v2.3 and ID3v2.4 frames
  - Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
  - Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, APE, MP4/AAC, MP2, Speex,
    TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
    S3M, IT, XM).
  - Edit tags of multiple files, e.g. the artist, album, year and genre
    of all files of an album typically have the same values and can be
    set together.
  - Generate tags from filenames
  - Generate tags from the contents of tag fields
  - Generate filenames from tags
  - Generate playlist files
  - Automatic case conversion and string translation
  - Import and export album data
  - Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package does not use KDE libraries, if you use KDE you should use kid3.
For a commandline interface you can use kid3-cli.

%package cli
Summary:        Efficient ID3 Tag Editor
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       %{name}-core = %{version}

%description cli
With Kid3 you can:
  - Edit ID3v1.1 tags
  - Edit all ID3v2.3 and ID3v2.4 frames
  - Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
  - Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, APE, MP4/AAC, MP2, Speex,
    TrueAudio, WavPack, WMA, WAV, AIFF files and tracker modules (MOD,
    S3M, IT, XM).
  - Edit tags of multiple files, e.g. the artist, album, year and genre
    of all files of an album typically have the same values and can be
    set together.
  - Generate tags from filenames
  - Generate tags from the contents of tag fields
  - Generate filenames from tags
  - Generate playlist files
  - Automatic case conversion and string translation
  - Import and export album data
  - Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package contains a command line interface for Kid3, for a GUI you can
use kid3-qt or kid3.

%if %{with build_kde}
%package doc
Summary:        Documentation for %{name}
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       %{name} = %{version}

%description doc
This package provides documentation and help files for %{name}.

%endif

%package qt-doc
Summary:        Documentation for %{name}-qt
Group:          Productivity/Multimedia/Sound/Utilities
Requires:       %{name}-qt = %{version}

%description qt-doc
This package provides documentation and help files for %{name}-qt.

%package  core
Summary:        Efficient ID3 Tag Editor: Libraries and Data
Group:          Productivity/Multimedia/Sound/Utilities
Recommends:     kid3-trans-lang = %{version}

%description  core
This package contains common libraries and data files used by kid3, kid3-qt, and kid3-cli.

%lang_package -n %{name}-core

%prep
%setup -q -n kid3-%{version}

%build
options+="-DCMAKE_SKIP_RPATH=ON -DWITH_LIBDIR=%{_lib}/kid3 -DWITH_PLUGINSDIR=%{_lib}/kid3/plugins "
options+="-DWITH_GSTREAMER=ON -DWITH_DOCDIR=share/doc/packages/kid3-qt "
options+="-DWITH_CHROMAPRINT_FFMPEG=ON -DWITH_FFMPEG=ON"
%if %{with build_qt5}
options+="-DWITH_QT5=1 -DWITH_QMLDIR=%{_lib}/qt5/qml/kid3 "
%if %{without build_kde}
%cmake -DWITH_APPS="Qt;CLI" $options
%else
%cmake_kf5 -d build -- $options
%endif
%else
%cmake_kde4 -d build -- $options
%endif

%make_jobs

%install
%if %{with build_qt5}
%if %{without build_kde}
%cmake_install -C build
%else
%kf5_makeinstall -C build
%endif
%else
%kde4_makeinstall -C build
%endif

%if %{with build_kde}
pushd %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
gzip -dS .svgz kid3.svgz
mv kid3 kid3.svg
popd
%endif

%if %{without build_qt5}
%kde_post_install
%endif

%find_lang %{name} %{name}-core.lang --without-kde --with-qt --all-name --without-mo

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat <<EOF >%{buildroot}%{_sysconfdir}/ld.so.conf.d/kid3.conf
%{_libdir}/kid3
EOF

rm %{buildroot}%{_libdir}/kid3/libkid3-*.so

%if %{with build_kde}
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%post qt
%desktop_database_post
%icon_theme_cache_post

%postun qt
%desktop_database_postun
%icon_theme_cache_postun

%post core -p /sbin/ldconfig

%postun core -p /sbin/ldconfig

%if %{with build_kde}
%files
%defattr(-,root,root,-)
%dir %{_datadir}/appdata
%if %{with build_qt5}
%{_kf5_bindir}/kid3
%{_kf5_iconsdir}/hicolor/*/apps/kid3.*
%{_kf5_kxmlguidir}/kid3/
%{_kf5_applicationsdir}/kid3.desktop
%else
%{_kde4_applicationsdir}/kid3.desktop
%{_kde4_appsdir}/kid3/
%{_kde4_bindir}/kid3
%{_kde4_iconsdir}/hicolor/*/apps/kid3.*
%endif
%{_datadir}/appdata/kid3.appdata.xml
%endif

%files qt
%defattr(-,root,root,-)
%dir %{_datadir}/appdata
%{_datadir}/applications/kid3-qt.desktop
%{_datadir}/appdata/kid3-qt.appdata.xml
%{_bindir}/kid3-qt
%{_datadir}/icons/hicolor/*/apps/kid3-qt.*
%{_mandir}/man1/kid3-qt.1%{ext_man}
%{_mandir}/de/man1/kid3-qt.1%{ext_man}

%files cli
%defattr(-,root,root,-)
%{_bindir}/kid3-cli
%{_mandir}/man1/kid3-cli.1%{ext_man}
%{_mandir}/de/man1/kid3-cli.1%{ext_man}

%files core
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE README kid3.lsm
%{_libdir}/kid3/
%if %{with build_qt5}
%{_libdir}/qt5/qml/kid3/
%else
%{_datadir}/kid3/qml/
%endif
%config %{_sysconfdir}/ld.so.conf.d/kid3.conf
%if %{with build_kde}
%{_datadir}/dbus-1/interfaces/net.sourceforge.Kid3.xml
%endif
%{_mandir}/man1/kid3.1%{ext_man}
%{_mandir}/de/man1/kid3.1%{ext_man}

%if %{with build_kde}
%files doc
%defattr(-,root,root,-)
%if %{with build_qt5}
%doc %{_kf5_htmldir}/de/kid3/
%doc %{_kf5_htmldir}/en/kid3/
%else
%doc %{_kde4_htmldir}/de/kid3/
%doc %{_kde4_htmldir}/en/kid3/
%endif
%endif

%files qt-doc
%defattr(-,root,root,-)
%{_docdir}/kid3-qt/

%files -n %{name}-core-lang -f %{name}-core.lang
%defattr(-,root,root,-)
%dir %{_datadir}/kid3
%dir %{_datadir}/kid3/translations
%if 0%{?suse_version} < 1230
%{_datadir}/kid3/translations/kid3_sr@ijekavian.qm
%{_datadir}/kid3/translations/kid3_sr@ijekavianlatin.qm
%{_datadir}/kid3/translations/kid3_sr@latin.qm
%endif

%changelog
* Thu Aug 25 2016 joerg.lorenzen@ki.tng.de
- update to version 3.4.2
  * Fixed:
    + Embed Lyrics works again with makepersonal.co and
    lyrics.wikia.com.
    + Do not add an empty frame when deleting a non existant frame
    in kid3-cli.
    + Support setting multiple frames of the same type with
    copy/paste.
    + Allow editing of quick access frames which are not yet present
    in the file.
    + Reset shortcuts and appearance configuration when the defaults
    are restored in the settings.
  * Improved:
    + Do not show any disabled tag values in the Tag 1 section
    for files which do not support an ID3v1 tag.
    + Set the file filter for the file list in the file settings,
    not with the filter used in the open dialog.
    + Disable the global app menu on Ubuntu's Unity desktop.
- Removed conditional 'ffmpeg' because the required libraries are
  available in OBS.
- Added %%bcond 'build_qt5' to build against qt5 for openSUSE > 13.2
  and SLE (inclusive Leap 42.x).
- Added %%bcond 'build_kde' to build against kde4/kf5 for all
  distributions except SLE 12 (on PMBS kid3 can be successfully
  build without KDE frontend).
- Deleted devel files libkid3-*.so because they are not needed and
  removed kid3-rpmlintrc.
- Removed unneeded buildrequires libtunepimp-devel and changed some
  buildrequires to pkgconfig() and cmake().
- Add gpg signature as source (file kid3-3.4.2.tar.gz.asc).
- Added buildrequires hicolor-icon-theme, needed by post(un)
  srcipts %%icon_theme_cache_post(un).
- Small changes in options for cmake, enabled build of QML and
  added build/install for SLE 12 (only components QT and CLI).
- Removed manual installation on manpage for kid3 as it's installed
  during build process.
- Moved kid3 manpages from package kid3 to package kid3-core,
  manpages kid3-cli and kid3-qt are only symlinks and require
  manpage kid3.
* Mon Aug  8 2016 olaf@aepfle.de
- Remove duplicate and misplaced cmake flag to enable ffmpeg
* Thu Jul 28 2016 olaf@aepfle.de
- Convert BuildRequires libchromaprint-with-ffmpeg to pkgconfig
* Mon Jul 25 2016 olaf@aepfle.de
- Build with ffmpeg unconditionally
* Thu Jun 23 2016 davejplater@gmail.com
- Update to version 3.4.1
- Upstream changes:
  * Fixed:
  + Avoid wrong marking of ID3v2 Date frames as modified.
  + Enable setting M4A, Vorbis date with ISO date/time also when no
    tag exists.
  3.4.0:
  * New:
  + Support more than two tags for MP3 files with ID3v1, ID3v2 and APE
    tags, FLAC files with ID3v1, ID3v2 and Vorbis tags.
  + Support RIFF INFO tags in WAV files.
  + Filename to tag format can be defined as a regular expression with
    captures.
  + Perl regular expressions with Qt 5.
  * Improved:
  + Import from tags is also available from CLI, QML and D-Bus.
  + Help for editing synchronized lyrics.
  + Handle redirects when downloading.
  * Fixed:
  + KDE 5: Jumping to a specific help topic.
  + Enable setting ID3v2.4 date with ISO date/time also when no tag
    exists.
  + Crash when writing to a FLAC file which cannot be opened.
* Sat Apr 16 2016 olaf@aepfle.de
- Use pkgconfig instead of libffmpeg-devel
* Tue Mar 15 2016 davejplater@gmail.com
- Update to Release 3.3.2
- Upstream changes:
  * New:
    + Setting for text encoding used in playlists and exports.
  * Improved:
    + Support removing tags in MPC, WavPack with TagLib 1.11.
  * Fixed:
    + Stripping of ID3v2 tags from WAV files with TagLib 1.11.
    + Adapted to Discogs server update.
* Wed Dec 23 2015 davejplater@gmail.com
- Added conditional for kf5 to build in openSUSE:Leap:42.1
* Thu Dec 17 2015 ecsos@opensuse.org
- update to version 3.3.1
  * New:
  + Package for Android.
  + Support setting of data in GEOB frames from CLI and scripts.
  + Icons for high pixel density displays.
  * Improved:
    + Trim values from tags in format strings to avoid whitespace when
  setting file names from tags.
  + Updated Czech translation.
  * Fixed:
    + List picture in get command of kid3-cli also if its description
    is empty.
    + Set configured text encoding in picture frames.
    + Make file renaming work when saving non writable files.
    + Use high resolution icon in task switcher.
    + Avoid cropping in picture preview window on high pixel density
    displays.
* Thu Oct  1 2015 davejplater@gmail.com
- Update to version 3.3.0.
- Upstream changes:
  * New:
    Make order of quick access frames configurable.
    Support separators and submenus in user action context menu.
    Restore defaults button in settings dialog.
    CSV import from multiple directories.
    Support for lyrics.wikia.com in embed lyrics script.
    Support for chapter and table of contents audiobook frames.
    Mac, Windows: Support for podcast frames.
  * Improved:
    Display user friendly names for all supported frames.
    Updated Czech translation.
    Change file permissions in the case of modified file names.
  * Fixed:
    Wrong and missing translations.
    Removing ID3v1 genre with id3lib.
    KDE5:Name filters used in file dialogs, blocking file dialogs.
    KDE5: Invoking help in settings dialog.
    KDE4: Build with kdelibs-4.14.11.
    Qt5.5: Spurious popping up of download dialog.
    Do not abort build if qmlplugindump cannot be started.
* Wed Jun 10 2015 tittiatcoke@gmail.com
- Combine the kid3 and kid3-kf5 packages in a single spec-file and
  build the KF5 based version for openSUSE > 13.2
* Sat Apr 18 2015 davejplater@gmail.com
- Renamed kf5-kid3 to kid3-kf5
* Mon Mar 30 2015 joerg.lorenzen@ki.tng.de
- Added conflict of kid3-core and kf5-kid3-core to kf5-kid3.spec
* Fri Mar 20 2015 joerg.lorenzen@ki.tng.de
- Created package kf5-kid3
* Wed Mar 18 2015 joerg.lorenzen@ki.tng.de
- update to version 3.2.0
  * New:
    + Support QML/JS scripts for user actions.
    + Batch embed, export, and resize album art.
    + Batch lyrics download.
    + Recursive tag export.
    + Support build with KDE 5.
    + Support DSF files with TagLib 1.9.1.
    + Option to mark pictures larger than a given size.
    + Number tracks can reset track number for each folder.
    + Number tracks can only format numbers or set total.
    + Only expand subtree if shift is pressed with "Expand all".
    + Support Ogg FLAC files.
    + QML plugin.
  * Improved:
    + File suffix for export (e.g. picture) is determined by mime type.
    + Image dimensions are displayed below picture.
  * Fixed:
    + Crash when TagLib file is saved with changes in tags and file name.
    + Deletion of picture frames from Ogg/Opus files.
    + Setting description of Ogg pictures in frame table.
    + Reactivate support for AAC and MP2 files with TagLib.
    + Mac OS X: Avoid excessive memory consumption.
    + Adapted to Discogs server update.
    + Adapted to Amazon server update.
  - Added file kid3-rpmlintrc to suppress error messages.
* Sat Jan 24 2015 benoit.monin@gmx.fr
- update to version 3.1.2
  * New:
    + Allow user to change the file permissions of read-only files.
  * Improved:
    + Updated Simplified Chinese translation.
    + Reduce number of open file descriptors with TagLib >= 1.8.
  * Fixed:
    + Adapted to Discogs server update.
    + Correctly add missing frames when editing multiple files.
    + The value of an existing frame on multiple files can be set
    via D-Bus.
    + File names with special characters in Mp4V2Metadata on
    Windows.
    + Appdata passes appdata-validate check.
* Sat Sep 27 2014 davejplater@gmail.com
- Added conflict for kid3-qt4 from KDE:Extra which is no longer
  built.
* Sat Sep 20 2014 davejplater@gmail.com
- Update to version 3.1.1 a separate build for kid3-qt is no longer
  necessary and a cli version is added.
- Upstream Changes:
  * New:
  + Validation for date/time, track and disc number frames.
  + Timeout command in kid3-cli to overwrite command timeout.
  + Build option WITH_NO_MANCOMPRESS to disable gzipped manpages.
  * Improved:
  + Updated Czech translation.
  + Support drag'n'drop from https, ftp.
  + Show picture type in frame table.
  + Allow import from file/clipboard with empty date fields.
  + Add AppData and comment in desktop file for GNOME Software.
  + Handling of RPATH to private libraries.
  * Fixed:
  + Setting of POPM frames using kid3-cli.
  + Removing of COMM, PRIV, TXXX, free form frames.
  + Restore Ogg files if writing fails.
  + Format while editing for tag 2.
  + Support composer when importing from MusicBrainz.
  + Opening external links from handbook.
* Mon Jun  2 2014 toddrme2178@gmail.com
- Add xslt-tools dependency required by some openSUSE versions.
* Wed Apr 30 2014 tittiatcoke@gmail.com
- We are installing libraries into an unknown directory, so we need
  post and postun scripts to call for ldconfig. As that the
  library path is not standard, use this as a parameter to ldconfig
* Mon Apr 28 2014 toddrme2178@gmail.com
- Update to version 3.1
  * New:
    + Support for synchronized lyrics and event timing codes.
    + Import and export of LRC (synchronized lyrics/Karaoke) files.
    + Find and replace strings in tags and file names.
    + Display details and sort columns in file list.
    + Open and Open Containing Folder file list actions.
    + Support Ogg and Opus cover art.
    + Export format CDRDAO TOC for CDs with CD-text from WAV tags.
    + D-Bus command expandFileList() to expand the whole file list.
  * Improved:
    + Updated Czech, Finnish, Estonian translations.
    + GUI and usability, keyboard navigation.
  * Fixed:
    + Restore Quick Access Tags settings properly.
    + Support tags from file name with
    2 character extensions (e.g. ".wv").
    + Keyboard shortcuts settings with Mac OS X 10.9.
    + Build without Phonon.
    + Fingerprint decoding and resampling with libav.
    + D-Bus command expandDirectory().
- Update to version 3.0.2
  * Fixed:
    + Translations and handbook are not found on
    Mac OS X 10.9 Mavericks.
    + Application termination when main window is
    closed while handbook is open.
    + Tag 1 genre combobox is empty if
    "show only custom genres" is set.
    + Session restoration.
    + Detection of installed Qt 5.
    + KDE application does not find libraries
    if prefix is not /usr.
    + Build if all translations are disabled.
  * Improved:
    + Added new genres introduced in Winamp 5.6.
- Update to version 3.0.1
  * Fixed:
    + Filename format configuration can not be changed.
    + Menus get broken when toolbar is changed in KDE version.
    + Incorrect conversion of configuration in KDE version.
    + Unintended result selection in
    first track of fingerprint import.
    + Crash at exit after canceling
    fingerprint import with GStreamer.
    + Prefer GStreamer 0.10 over 1.0 to avoid hang in Phonon.
    + Build with readline needing termcap
    (as used in Slackware).
    + Build with FFmpeg 2.0 (as used in openSUSE 12.3).
    + Honor LIB_SUFFIX if set (as used in Fedora).
- Update to version 3.0
  * New:
    + Command-line interface kid3-cli.
    + Use common shared libraries for
    KDE, Qt-only and CLI versions.
    + Plugins for metadata libraries and importers.
    + Support Opus files with TagLib 1.9.
    + Support GStreamer 1.0.
    + Support libavresample 0.0.3.
  * Improved:
    + Editing without leaving the keyboard.
    + When saving a file fails, tell
    user if it is not writable.
    + Escape metacharacters in HTML export.
    + Updated Czech translation.
    + Updated Finnish translation.
    + Cleaned up configuration option sections.
  * Fixed:
    + Crash when saving non-FLAC file with flac extension.
    + Support minimum Mac OS X version 10.5.
    + Load Qt libraries only from bundle on Mac OS X.
- Merge qt package into subpackage, and add core and cli
  subpackages per upstream recommendation.
- Remove obsolete patches:
  * kid3-qt-gcc47.patch
  * kid3-2.3-gstreamer1.0.diff
- Remove tests for obsolete openSUSE versions.
- Make sure phonon gstreamer version
  matches kid3 gstreamer version
- Split documentation packages.
* Sun Aug 11 2013 hrvoje.senjan@gmail.com
- Fixed %%{?suse_version} conditional in kid3.spec
* Sat Jun  1 2013 hrvoje.senjan@gmail.com
- Added kid3-2.3-gstreamer1.0.diff, enables gstreamer 1.0 support
- Add Source URL
* Sat Mar 23 2013 davejplater@gmail.com
- Merge kid3 and kid3-qt packages by linking KDE:Extra/kid3 to the
  kid3-qt package.
* Sat Mar 16 2013 dmitry_r@opensuse.org
- Update to version 2.3
  * New:
    + Automatic batch import for multiple directories.
    + Import catalog number and release country from Discogs and
    MusicBrainz.
    + Quick access tags are configurable for tag 2.
    + Setting for default file name to save cover art.
    + Select all in directory.
    + Apply text encoding.
    + Support Qt 5.0.
  * Improved:
    + Better responsiveness when working with a huge number of files,
    long operations can be aborted (filtering, renaming, expanding).
    + Support custom frame names in formats and imports.
    + Display accuracy and cover art URL for imports.
    + Added more unified frame types.
    + GUI and usability.
  * Fixed:
    + Swapped mapping of too and enc for M4A files.
    + Compatibility of ID3v2.4.0 COMM frames with iTunes.
    + Do not remove spaces in Vorbis comment field names.
    + Crash and decoding for fingerprints with libav 9.1.
* Fri Dec 28 2012 dmitry_r@opensuse.org
- Enable chromaprint support
* Sat Dec 15 2012 hrvoje.senjan@gmail.com
- Update to version 2.2.1
- Changes since 2.1:
  * New:
    + Option to load last opened file on startup.
    + Option to use locale for character conversion.
    + Support new features of TagLib 1.8: More
    ID3 frames, ID3v2.3, tracker modules (MOD, S3M, IT, XM).
    + Support use of GStreamer instead of FFmpeg for
    Chromaprint decoding.
    + Support building with latest libav/FFmpeg libraries.
  * Improved:
    + Extract year from "YYYY-MM.." date frame for %%{year}
    format code.
    + Character conversion for roman numbers.
    + Dutch translation.
    + Finnish translation.
    + Czech translation.
  * Fixed:
    + Avoid crash when exporting album cover while editing multiple
    files.
    + Check if file format supported before converting to
    ID3v2.3.0.
    + Rewritten Discogs import to use Discogs API v2.0.
    + Fixed selection of language and handbook with Qt 4.8.
* Sun May 13 2012 mlin@suse.com
- Update to version 2.1
  * New:
    + Keyboard shortcuts configuration for Qt-only version.
    + Use Chromaprint for import from MusicBrainz Fingerprint, is now
    also available on Windows and Mac OS X.
    + Serbian translation.
    + Support build with Qt5.
  * Improved:
    + Support most frames in format codes with %%{framename}.
    + Support iTunes ID3v2.4 frames TCMP, TSO2, TSOC.
    + Option to use the native file dialogs for Qt-only version.
    + Handling of pictures in WMA files.
    + Use themed icons.
    + Building with shared libraries on KDE.
    + Handle carriage return characters in output from user commands.
  * Fixed:
    + Windows: Avoid truncation of file when renaming with illegal
    characters.
    + Limit number of open file handles.
    + Nicer icons, install SVG instead of SVGZ in kid3-qt.
    + Fixed import from Amazon.
    + Adapted to Discogs server update.
- Disable build with chromaprint that require ffmpeg
* Thu Nov  3 2011 asterios.dramis@gmail.com
- Update to release 2.0.1:
  * Fixed:
    + Prevent cursor from jumping to end in format line edits.
    + Correctly update file selection after add, edit or delete frame.
    + Build system finds DocBook XSL on various Linux distributions,
    finds Phonon on Ubuntu 11.10, can build with shared libraries.
    + Correctly set bundle version on Mac OS X.
    + Czech translation.
- Spec file updates:
  * Changes based on spec-cleaner run.
  * Removed Provides:/Obsoletes: entries for kde4-kid3 (not needed anymore, it
    was last used at 2009-11-04).
* Tue Sep  6 2011 asterios.dramis@gmail.com
- Update to release 2.0
  * New:
    + Import from tags to extract and move information between tags.
    + Play a track on double click (optional).
    + Searching in help browser.
    + Move files to trash instead of deleting them.
    + Automatic setting of checkboxes when frame is changed.
    + Support for APE tags with TagLib 1.7.
  * Improved:
    + Major refactoring to improve software architecture, separated
    GUI from application logic using the Qt 4 Model/View
    architecture. This required dropping support for Qt 3 and
    KDE 3. Unified build system using CMake for KDE and Qt-only
    versions.
    + The file list is updated on file system changes and is faster.
    + Import sub-dialogs are modeless and do not block import dialog.
    + Import table is editable and has optional columns for file
    names and paths (selectable with context menu).
    + The tracks to import can be selected, e.g. to import only one
    CD from a doulbe-CD album.
    + Number Tracks can number the tracks of multiple directories.
    + Multiple directories can be selected with Rename Directory.
    + M4A support with TagLib (can fully replace libmp4v2).
    + Exports are displayed in a table if they contain tabulators.
    + Adding and editing formats is now more user friendly.
    + GUI and usability.
  * Fixed:
    + Genre and track total in M4A files with TagLib.
    + Execution of user action without command.
    + Adapted to Discogs server update.
- Spec file updates:
  * Changed License: to GPL-2.0+.
  * Removed docbook-xsl-stylesheets and added libogg-devel in BuildRequires:.
  * Removed support for openSUSE < 11.2 in spec file.
  * Minor other updates.
* Sun Apr 10 2011 asterios.dramis@gmail.com
- Spec file updates:
  * Removed "licenses" package usage.
  * Recommends: instead of Suggests: for kid3-lang package.
  * Minor other updates.
* Tue Feb 15 2011 davejplater@gmail.com
- Removed conflicting kid3-qt, kid3-qt is already in factory, 11.4
  developed in multimedia:apps.
* Sun Feb  6 2011 asterios.dramis@gmail.com
- Update to release 1.6
  * Improved:
    + The total number of tracks can be set in the "Number Tracks" dialog.
    + All numeric fields can be padded with zeros.
    + Parts of the filename can be ignored when generating tags from the
    filename.
    + Updated Estonian, Italian and Czech translations.
  * Fixed:
    + Track number digits option works now with ID3v2.4 and UTF8/UTF16.
    + Adapted to Discogs server update.
- Spec file updates:
  * Added a kid3-qt package without KDE dependencies and also its respective
    lang package.
  * Added a kid3-lang package.
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Updates in Buildrequires:, %%build, %%install and %%files sections.
* Fri Oct  8 2010 davejplater@gmail.com
- Update to release 1.5
- Upstream changes :
  Faster filtering,
  simple audio player,
  GUI and usability improvements.
* Wed Sep 22 2010 davejplater@gmail.com
- Update to svn 714
- Upstream changes :
  * fixed Doxygen warnings
  * updated translations
  * do not display [filtered] after filtering "All"
  * display Phonon errors in status bar
  * use less size for format comboboxes
  * version 1.5, updated documentation
  * "Show Statusbar" option for Qt only version
  * double click on picture to add/edit
  * fixed bug: after album cover was downloaded by import it was downloaded
  again in next import because the import track data was not properly cleaned
  * move "From Filename" buttons up to corresponding format combobox as
  "To Tag" buttons
  * update fixdocbook.pl for changes made in commit "Make docs compile
  against KDE 4.5 beta"
  * added Chinese translation
  * changed player dockwidget into a toolbar
  * Auto Hide Tags option to hide unused tags
  * use QDockWidget for PlayDialog, make it a child of main window
  * make play action available in Tools menu and toolbar
  * simple audio player available via context menu
  * icons and toolbar for Qt only version
  * use latest versions of libraries
  * recent files menu for versions without KDE
  * context menu items "Expand all" and "Collapse all"
  * fix compilation with Qt 3 of MP4 and ASF pictures starting with TagLib 1.6.2
  * support APE files with TagLib > 1.6.3 (not officially released yet)
  * support MP4 and ASF pictures starting with TagLib 1.6.2
  * option to set number of digits in track number
  * commitData and closeEditor when the window is deactivated while a cell
  is being edited (i.e. the cell is not closed by pressing Enter), this
  is done to avoid losing the focus
  * fixed bug 3009738 URL (WXXX) tags incorrectly saved, the value was
  written to the Description instead of to the URL field
  * use correct extension for ".aac" and ".mp2" files when generating
  filenames from tags
  * removed MIME type inode/directory, there were problems on Archlinux
  * do not add multiple frames of the same type in filterDifferent()
  * more efficient handling of file selection for Qt 4
  * fixed setFrame() to work again with pictures
  * speed up filter, fixed deleteFrame() to work with single named frame,
  fixed addFrame() to update the preview picture also in the case of an
  explicitly passed frame
  * filterDifferent() will now result in a FrameCollection containing all
  frames of the other collection, so that the union of the frames of all
  selected files will be displayed
* Mon Jun  7 2010 davejplater@gmail.com
- Update to svn 673
- Upstream changes :
  * replaced xmms by amarok in context menu
  * Make docs compile against KDE 4.5 beta.
  * Add the official audio/ogg MIME type, remove the obsolete
  * x-directory/normal MIME type, add StartupNotify and StartupWMClass.
  * Finnish translation spelling fix.
* Sun Mar  7 2010 zOOmER.gm@gmail.com - 1.4
- gzip archive used for souce tarball
- updated to version 1.4
  + New:
  ++ Support for cover art in Ogg files.
  ++ Import from Amazon.
  ++ Separate formats for "to filename" and "from filename".
  ++ Czech translation.
  + Improved:
  ++ Use of UTF8 and UTF16 encoding when non-ASCII characters are used.
  ++ GUI and usability.
  + Fixed:
  ++ Correctly set tags when tags of multiple files are selected,
    edited, and then copied to the other tag.
  ++ Adapted to Discogs server update.
- removed unnecessary BuildRequires
- fixed file list for older distributions
* Wed Nov  4 2009 buschmann23@opensuse.org - 1.3
- renamed package from kde4-kid3 to kid3
- updated to version 1.3
  + New:
  ++ Advanced playlist dialog.
  ++ Support for WMA/ASF, AIFF and WAV files.
  ++ Estonian, Finnish and Turkish translations.
  + Improved:
  ++ When changing the current file while a tag field is being edited,
    the changes are preserved.
  ++ Translation system.
  ++ Settings in Number Tracks dialog can be saved.
  ++ Filter files without attached pictures.
  ++ Support for libmp4v2 1.9 and TagLib 1.6.
  + Fixed:
  ++ Show album art when multiple files are selected.
  ++ From Tag 2 option can be restored in Rename Directory dialog.
  ++ Picture download.
  ++ Adapted to Discogs server update.
* Sat May  2 2009 donnie.bhayangkara@opensuse.org
- new upstream version
* Sat Oct 25 2008 donnie.bhayangkara@opensuse.org
- new upstream version
* Thu Apr  3 2008 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * File filter.
  * D-Bus interface to control application by scripts.
  * Long format codes %%{title}, %%{album}, ... and tooltips for formats.
  * Support for FLAC pictures.
  * Polish translation.
  Improved:
  * GUI and usability.
  * Rename directory wizard.
  * Use xdg-open as the default web browser.
  * Display description instead of TXXX and WXXX.
  * Add pictures to files by drag and drop and from cllipboard.
  * Compilation with GCC 4.3 and compiler detection for kid3-qt.
  * Support for TagLib 1.5.
  Fixed:
  * KDE 4 docs in correct directory.
  * Crash when TSST frame was added to ID3v2.3.0 tag.
  * Disappearing ID3v1 genres.
  * Possible crash when import or export format was added.
* Sun Dec  2 2007 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * All frames can be edited in tables, not only the standard tags.
  * Support for MP4/AAC, MP2, Speex, TrueAudio, and WavPack files.
  * Default encoding can be configured.
  * Italian translation.
  * Support build with KDE 4.
  Improved:
  * Conversion between ID3v2.3 and ID3v2.4 for all supported frames.
  * GUI and usability.
  * Qt4 version builds without Qt3Support module
  Fixed:
  * Correct kid3-qt icon.
  * kid3-qt builds correctly without id3lib or without MusicBrainz.
  * Remove deleted user actions from configuration.
  * Allow new export/import formats with empty fields.
  * Reread file after conversion from ID3v2.4 to ID3v2.3.
  * Rename directory does not rename when tags are empty.
* Wed Jun 13 2007 donnie.bhayangkara@opensuse.org
- new upstream version:
  New:
  * Hierarchical directory tree instead of flat file list.
  * Enhanced context menu commands, can be used to browse for lyrics
    and album art.
  * Import from gnudb.org.
  * Conversion between ID3v2.3 and ID3v2.4 tags.
  * Editor for custom genres.
  * Option to mark truncated ID3v1.1 fields.
  Improved:
  * Frames are listed alphabetically and can be edited and deleted
    in multiple files.
  * Import from TrackType.org (formerly freedb2.org)
    Fixed:
  * MusicBrainz fingerprint import.
* Thu Dec 21 2006 donnie.bhayangkara@opensuse.org
- package for v0.8.1
